Subject: RE: [Ltru] Re: #944 in draft -04

From: "Addison Phillips" <[email-masked]>
Date: Thu, 9 Jun 2005 22:21:27 -0700

> 
> > The longest is "cel-gaulish" (11 characters), so 83% longer.
> 
> Okay, 11 was the old record...
> 
> > But, of course, this is not "much" larger.
> 
> ...yes, that's the point, "much longer" sounds like "we're not
> changing anything important", and that's cowardly.
[Addison Phillips] 

I removed the word much. I had actually thought we had some longer items in the registry. Eleven doesn't even challenge the 17 character maximum of 8+8 generative RFC 3066 tags enshrined here and there.
> 
> > 1. The Content-Language header has a limit of 60 (78-18).
> 
> RfC 3282, I forgot this one.  For mail the SHOULD-limit is 77,
> 78-1 for the folding, the MUST-limit is near 998 and irrelevant
> for our problems.  For a comma separated language list 78-2=76.
[Addison Phillips] 

Content-Language and Accept-Language are of great importance on the Web also. You might have problems having a long list in your Accept-Language with 3066bis...
> 
> For news it could be the same SHOULD-limit (still debated in
> USEFOR, maybe we drop it and go for 998) with your formula:
> 
> Content-Language: en
> ....5...10....5... (18 up to SP, no folding in the first line)
> 
> > The shortest charset alias I saw was two characters
> 
> Yes, I looked only for the worst case, otherwise while I'm NO
> "Unicadet" I somehow still consider utf-8 as "normal" (that's
> one of the few cases where I disagree with my old "mozilla" ;-)

I'm a card carrying Unicadet and I consider UTF-8 to be entirely normal. Heck, I promulgate it as a default and often wish it were mandatory. It isn't necessarily the worst case scenario (it is tied with GB18030... and I'm not quite sure how it measures against some of the ISO-2022 flavors: can the escape sequence be divided from the characters? How about MBCS code pages?)... but that's all moot, really.
> 
> > The longest charset permitted is 40
> 
> Really ?  I only looked into the IANA registry, not in the RfC:

Me too: there is a note right at the top of the registry that says the maximum size is 40, which I (foolishly) relied on :-).
> 
> Extended_UNIX_Code_Fixed_Width_for_Japanese
> ....5...10....5...20....5...30....5...40....5
> Extended_UNIX_Code_Packed_Format_for_Japanese
> 
> Okay, the latter has a decent EUC-JP preferred MIME alias, and
> the former is a DBCS.

In any case, the text we chose on this thread works fine: the limit may be more than 50 characters and it may be far less than that too (there might be *NO* room with a sufficiently perverse set of choices).

Addison

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru